use serde::{Deserialize,Serialize};

use std::sync::Arc;
use crate::mycelium::HtmlTextJsonFormat;

/* Response format */

pub type ResponseFormat = HtmlTextJsonFormat;

/* Query and Template Settings */

#[derive(Deserialize, Serialize, Clone)]
pub struct QuerySettings {
	pub format: ResponseFormat,
	pub lang: String,
	pub available_dns_resolvers: Vec<Selectable>,
	pub dns_resolver_id: Arc<str>,
}

#[derive(Deserialize, Serialize, Clone)]
pub struct Selectable {
	pub id: Arc<str>,
	pub name: Arc<str>,
	pub weight: i32,
}

